# channel

Represents a Slack channel.

### Examples

```graphql
type Channel {
  id: String!
  name: String
  profile: UserProfile
  is_private: Boolean
  display: String
  description: String
  isAdded: Boolean
}
```

### Fields

| Field                                                                                                                   | Description                          | Supported fields     |
| ----------------------------------------------------------------------------------------------------------------------- | ------------------------------------ | -------------------- |
| id `String!`                                                                                                            | Channel ID                           |                      |
| name `String`                                                                                                           | Channel name                         |                      |
| profile [`UserProfile`](https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/user-profile) | User profile associated with channel | image\_192 `String!` |
| is\_private `Boolean`                                                                                                   | Whether channel is private           |                      |
| display `String`                                                                                                        | Display name                         |                      |
| description `String`                                                                                                    | Channel description                  |                      |
| isAdded `Boolean`                                                                                                       | Whether channel is added             |                      |

### References

#### Fields with this object:

* [{} ChannelSetting.channelList](https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/channel-setting)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/channel.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
